/*-----------------------------------------------------------------------------
-- sys.c
--
-- Copyright CERN, 2021
-- This source describes Open Hardware and is licensed under the
-- CERN-OHL-S v2
-- Source location: https://ohwr.org/project/pxie-ctl-comexpress-tst
-- designed by INCAA Computers
-----------------------------------------------------------------------------*/

#include "xil_printf.h"

/*-----------------------------------------------------------------------------------*/
/* Assert errors                                                                     */
/*-----------------------------------------------------------------------------------*/

void sys_AssertErr(const char *file, int32_t line, uint32_t err)
{
	xil_printf("* ERROR %ld: %s(%ld)\n\r", err, file, line);
}
