/*-----------------------------------------------------------------------------
-- sys.h
--
-- Copyright CERN, 2021
-- This source describes Open Hardware and is licensed under the
-- CERN-OHL-S v2
-- Source location: https://ohwr.org/project/pxie-ctl-comexpress-tst
-- designed by INCAA Computers
-----------------------------------------------------------------------------*/

#ifndef SRC_SYS_H_
#define SRC_SYS_H_

void sys_AssertErr(const char *file, int32_t line, uint32_t err);

#define sys_Error(err) 			{ if (err) { sys_AssertErr(__FILENAME__, __LINE__, err); } }

#endif /* SRC_SYS_H_ */
