set_property IOSTANDARD LVCMOS33 [get_ports {fpga_gpi[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fpga_gpi[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fpga_gpi[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fpga_gpi[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fpga_gpo[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fpga_gpo[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {test[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {test[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports fpga_gpo_sel_N]
set_property IOSTANDARD LVCMOS33 [get_ports trig_in]
set_property IOSTANDARD LVCMOS33 [get_ports trig_oe]
set_property IOSTANDARD LVCMOS33 [get_ports trig_out]
set_property IOSTANDARD LVCMOS33 [get_ports ser_rx]
set_property IOSTANDARD LVCMOS33 [get_ports ser_tx]
set_property PACKAGE_PIN L12 [get_ports RESET_N]
set_property IOSTANDARD LVCMOS33 [get_ports trig_tsel]
set_property PACKAGE_PIN D13 [get_ports pxi_clk10]
set_property PACKAGE_PIN T13 [get_ports {fpga_gpi[3]}]
set_property PACKAGE_PIN T12 [get_ports {fpga_gpi[2]}]
set_property PACKAGE_PIN T10 [get_ports {fpga_gpi[1]}]
set_property PACKAGE_PIN T9 [get_ports {fpga_gpi[0]}]
set_property PACKAGE_PIN A10 [get_ports {pxi_ga[4]}]
set_property PACKAGE_PIN B10 [get_ports {pxi_ga[3]}]
set_property PACKAGE_PIN A9 [get_ports {pxi_ga[2]}]
set_property PACKAGE_PIN B9 [get_ports {pxi_ga[1]}]
set_property PACKAGE_PIN A8 [get_ports {pxi_ga[0]}]
set_property PACKAGE_PIN C13 [get_ports pxi_star]
set_property PACKAGE_PIN M16 [get_ports {fpga_gpo[1]}]
set_property PACKAGE_PIN K16 [get_ports {fpga_gpo[0]}]
set_property PACKAGE_PIN T15 [get_ports {test[2]}]
set_property PACKAGE_PIN T14 [get_ports {test[1]}]
set_property PACKAGE_PIN K15 [get_ports fpga_gpo_sel_N]
set_property PACKAGE_PIN E12 [get_ports {pxi_trig[7]}]
set_property PACKAGE_PIN E13 [get_ports {pxi_trig7aux[2]}]
set_property PACKAGE_PIN E16 [get_ports {pxi_trig7aux[1]}]
set_property PACKAGE_PIN E15 [get_ports {pxi_trig7aux[0]}]
set_property PACKAGE_PIN A13 [get_ports {pxi_trig[6]}]
set_property PACKAGE_PIN B12 [get_ports {pxi_trig[5]}]
set_property PACKAGE_PIN A12 [get_ports {pxi_trig[4]}]
set_property PACKAGE_PIN B11 [get_ports {pxi_trig[3]}]
set_property PACKAGE_PIN A14 [get_ports {pxi_trig[2]}]
set_property PACKAGE_PIN D16 [get_ports {pxi_trig[1]}]
set_property PACKAGE_PIN D15 [get_ports {pxi_trig[0]}]
set_property PACKAGE_PIN F15 [get_ports pxi_lbr6]
set_property PACKAGE_PIN R1 [get_ports trig_in]
set_property PACKAGE_PIN P1 [get_ports trig_oe]
set_property PACKAGE_PIN M1 [get_ports trig_out]
set_property PACKAGE_PIN N1 [get_ports trig_tsel]
set_property PACKAGE_PIN A3 [get_ports ser_rx]
set_property PACKAGE_PIN A2 [get_ports ser_tx]
set_property DRIVE 4 [get_ports {fpga_gpo[1]}]
set_property DRIVE 4 [get_ports {fpga_gpo[0]}]
set_property DRIVE 4 [get_ports {test[2]}]
set_property DRIVE 4 [get_ports {test[1]}]
set_property DRIVE 4 [get_ports fpga_gpo_sel_N]
set_property SLEW SLOW [get_ports {pxi_trig7aux[0]}]
set_property DRIVE 4 [get_ports trig_tsel]
set_property DRIVE 4 [get_ports ser_rx]
set_property DRIVE 4 [get_ports trig_oe]
set_property DRIVE 4 [get_ports trig_out]
set_property DRIVE 16 [get_ports {pxi_trig7aux[2]}]
set_property IOSTANDARD LVTTL [get_ports {pxi_trig7aux[2]}]
set_property IOSTANDARD LVTTL [get_ports {pxi_trig7aux[1]}]
set_property IOSTANDARD LVTTL [get_ports {pxi_trig7aux[0]}]
set_property DRIVE 16 [get_ports {pxi_trig[7]}]
set_property DRIVE 24 [get_ports {pxi_trig7aux[0]}]
set_property DRIVE 24 [get_ports {pxi_trig7aux[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports pxi_clk10]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_ga[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_ga[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_ga[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_ga[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_ga[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports pxi_star]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {pxi_trig[0]}]
set_property IOSTANDARD LVTTL [get_ports {pxi_trig[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports pxi_lbr6]


set_property OFFCHIP_TERM NONE [get_ports pxi_lbr6]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[7]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[6]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[5]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[4]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[3]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[2]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[1]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig[0]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig7aux[2]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig7aux[1]]
set_property OFFCHIP_TERM NONE [get_ports pxi_trig7aux[0]]
set_property IOSTANDARD LVCMOS33 [get_ports RESET_N]
