--Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2018.1 (win64) Build 2188600 Wed Apr  4 18:40:38 MDT 2018
--Date        : Fri Oct  8 09:21:37 2021
--Host        : PC-REB running 64-bit major release  (build 9200)
--Command     : generate_target design_tFPGA_wrapper.bd
--Design      : design_tFPGA_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity design_tFPGA_wrapper is
  port (
    RESET_N : in STD_LOGIC;
    fpga_gpi : in STD_LOGIC_VECTOR ( 3 downto 0 );
    fpga_gpo : out STD_LOGIC_VECTOR ( 1 downto 0 );
    fpga_gpo_sel_N : out STD_LOGIC;
    pxi_clk10 : in STD_LOGIC;
    pxi_ga : in STD_LOGIC_VECTOR ( 4 downto 0 );
    pxi_lbr6 : inout STD_LOGIC;
    pxi_star : in STD_LOGIC;
    pxi_trig : inout STD_LOGIC_VECTOR ( 7 downto 0 );
    pxi_trig7aux : inout STD_LOGIC_VECTOR ( 2 downto 0 );
    ser_rx : out STD_LOGIC;
    ser_tx : in STD_LOGIC;
    test : out STD_LOGIC_VECTOR ( 2 downto 1 );
    trig_in : in STD_LOGIC;
    trig_oe : out STD_LOGIC;
    trig_out : out STD_LOGIC;
    trig_tsel : out STD_LOGIC
  );
end design_tFPGA_wrapper;

architecture STRUCTURE of design_tFPGA_wrapper is
  component design_tFPGA is
  port (
    RESET_N : in STD_LOGIC;
    pxi_trig : inout STD_LOGIC_VECTOR ( 7 downto 0 );
    pxi_lbr6 : inout STD_LOGIC;
    trig_out : out STD_LOGIC;
    trig_oe : out STD_LOGIC;
    trig_tsel : out STD_LOGIC;
    fpga_gpo : out STD_LOGIC_VECTOR ( 1 downto 0 );
    fpga_gpo_sel_N : out STD_LOGIC;
    test : out STD_LOGIC_VECTOR ( 2 downto 1 );
    trig_in : in STD_LOGIC;
    fpga_gpi : in STD_LOGIC_VECTOR ( 3 downto 0 );
    pxi_ga : in STD_LOGIC_VECTOR ( 4 downto 0 );
    pxi_star : in STD_LOGIC;
    ser_tx : in STD_LOGIC;
    ser_rx : out STD_LOGIC;
    pxi_clk10 : in STD_LOGIC;
    pxi_trig7aux : inout STD_LOGIC_VECTOR ( 2 downto 0 )
  );
  end component design_tFPGA;
begin
design_tFPGA_i: component design_tFPGA
     port map (
      RESET_N => RESET_N,
      fpga_gpi(3 downto 0) => fpga_gpi(3 downto 0),
      fpga_gpo(1 downto 0) => fpga_gpo(1 downto 0),
      fpga_gpo_sel_N => fpga_gpo_sel_N,
      pxi_clk10 => pxi_clk10,
      pxi_ga(4 downto 0) => pxi_ga(4 downto 0),
      pxi_lbr6 => pxi_lbr6,
      pxi_star => pxi_star,
      pxi_trig(7 downto 0) => pxi_trig(7 downto 0),
      pxi_trig7aux(2 downto 0) => pxi_trig7aux(2 downto 0),
      ser_rx => ser_rx,
      ser_tx => ser_tx,
      test(2 downto 1) => test(2 downto 1),
      trig_in => trig_in,
      trig_oe => trig_oe,
      trig_out => trig_out,
      trig_tsel => trig_tsel
    );
end STRUCTURE;
