// Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2018.1 (win64) Build 2188600 Wed Apr  4 18:40:38 MDT 2018
// Date        : Fri Oct  8 09:23:08 2021
// Host        : PC-REB running 64-bit major release  (build 9200)
// Command     : write_verilog -force -mode funcsim
//               K:/Work/PLD/PXIeCOMe/tFPGA/project_tFPGA.srcs/sources_1/bd/design_tFPGA/ip/design_tFPGA_t_gpio_interface_0_0/design_tFPGA_t_gpio_interface_0_0_sim_netlist.v
// Design      : design_tFPGA_t_gpio_interface_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xc7a50tftg256-1
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "design_tFPGA_t_gpio_interface_0_0,t_gpio_interface,{}" *) (* downgradeipidentifiedwarnings = "yes" *) (* x_core_info = "t_gpio_interface,Vivado 2018.1" *) 
(* NotValidForBitStream *)
module design_tFPGA_t_gpio_interface_0_0
   (s_axi_aclk,
    s_axi_aresetn,
    gpio_i_pxi,
    gpio_o_pxi,
    gpio_t_pxi,
    gpio2_pxi,
    gpio_cex,
    gpio2_cex,
    gpio_pxi_star,
    pxi_trig,
    pxi_trig7aux,
    pxi_lbr6,
    pxi_ga,
    pxi_star,
    trig_in,
    trig_out,
    trig_oe,
    trig_tsel,
    fpga_gpo,
    fpga_gpo_sel_N,
    fpga_gpi,
    test);
  (* x_interface_info = "xilinx.com:signal:clock:1.0 s_axi_aclk CLK" *) (* x_interface_parameter = "XIL_INTERFACENAME s_axi_aclk, ASSOCIATED_RESET s_axi_aresetn, FREQ_HZ 100000000, PHASE 0.0, CLK_DOMAIN /clk_wiz_0_clk_out1" *) input s_axi_aclk;
  (* x_interface_info = "xilinx.com:signal:reset:1.0 s_axi_aresetn RST" *) (* x_interface_parameter = "XIL_INTERFACENAME s_axi_aresetn, POLARITY ACTIVE_LOW" *) input s_axi_aresetn;
  output [13:0]gpio_i_pxi;
  input [13:0]gpio_o_pxi;
  input [13:0]gpio_t_pxi;
  output [5:0]gpio2_pxi;
  input [4:0]gpio_cex;
  output [3:0]gpio2_cex;
  output [31:0]gpio_pxi_star;
  inout [7:0]pxi_trig;
  inout [2:0]pxi_trig7aux;
  inout pxi_lbr6;
  input [4:0]pxi_ga;
  input pxi_star;
  input trig_in;
  output trig_out;
  output trig_oe;
  output trig_tsel;
  output [1:0]fpga_gpo;
  output fpga_gpo_sel_N;
  input [3:0]fpga_gpi;
  output [2:1]test;

  wire [3:0]fpga_gpi;
  wire fpga_gpo_sel_N;
  wire [4:0]gpio_cex;
  (* IBUF_LOW_PWR *) wire [11:0]\^gpio_i_pxi ;
  wire [13:0]gpio_o_pxi;
  wire [31:0]gpio_pxi_star;
  wire [13:0]gpio_t_pxi;
  wire [4:0]pxi_ga;
  (* DRIVE = "12" *) (* IBUF_LOW_PWR *) (* SLEW = "SLOW" *) wire pxi_lbr6;
  wire pxi_star;
  (* DRIVE = "12" *) (* IBUF_LOW_PWR *) (* SLEW = "SLOW" *) wire [7:0]pxi_trig;
  (* DRIVE = "12" *) (* IBUF_LOW_PWR *) (* SLEW = "SLOW" *) wire [2:0]pxi_trig7aux;
  wire s_axi_aclk;
  wire s_axi_aresetn;
  wire trig_in;
  wire trig_oe;
  wire trig_tsel;

  assign fpga_gpo[1:0] = gpio_cex[1:0];
  assign gpio2_cex[3:0] = fpga_gpi;
  assign gpio2_pxi[5] = pxi_star;
  assign gpio2_pxi[4:0] = pxi_ga;
  assign gpio_i_pxi[13] = gpio_o_pxi[13];
  assign gpio_i_pxi[12] = trig_in;
  assign gpio_i_pxi[11:0] = \^gpio_i_pxi [11:0];
  assign test[2:1] = gpio_cex[4:3];
  assign trig_out = gpio_o_pxi[12];
  design_tFPGA_t_gpio_interface_0_0_t_gpio_interface U0
       (.gpio_i_pxi(\^gpio_i_pxi ),
        .gpio_o_pxi(gpio_o_pxi[11:0]),
        .gpio_pxi_star(gpio_pxi_star),
        .gpio_t_pxi(gpio_t_pxi[11:0]),
        .pxi_lbr6(pxi_lbr6),
        .pxi_star(pxi_star),
        .pxi_trig(pxi_trig),
        .pxi_trig7aux(pxi_trig7aux),
        .s_axi_aclk(s_axi_aclk),
        .s_axi_aresetn(s_axi_aresetn));
  LUT1 #(
    .INIT(2'h1)) 
    fpga_gpo_sel_N_INST_0
       (.I0(gpio_cex[2]),
        .O(fpga_gpo_sel_N));
  LUT1 #(
    .INIT(2'h1)) 
    trig_oe_INST_0
       (.I0(gpio_t_pxi[12]),
        .O(trig_oe));
  LUT2 #(
    .INIT(4'h2)) 
    trig_tsel_INST_0
       (.I0(gpio_o_pxi[13]),
        .I1(gpio_t_pxi[13]),
        .O(trig_tsel));
endmodule

(* ORIG_REF_NAME = "t_gpio_interface" *) 
module design_tFPGA_t_gpio_interface_0_0_t_gpio_interface
   (gpio_i_pxi,
    gpio_pxi_star,
    pxi_lbr6,
    pxi_trig,
    pxi_trig7aux,
    gpio_o_pxi,
    gpio_t_pxi,
    s_axi_aresetn,
    s_axi_aclk,
    pxi_star);
  output [11:0]gpio_i_pxi;
  output [31:0]gpio_pxi_star;
  inout pxi_lbr6;
  inout [7:0]pxi_trig;
  inout [2:0]pxi_trig7aux;
  input [11:0]gpio_o_pxi;
  input [11:0]gpio_t_pxi;
  input s_axi_aresetn;
  input s_axi_aclk;
  input pxi_star;

  wire \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_1_n_0 ;
  wire \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_2_n_0 ;
  wire \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3_n_0 ;
  wire \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4_n_0 ;
  wire \GenPxiTrig7Buffers[1].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ;
  wire \GenPxiTrig7Buffers[2].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ;
  wire \GenPxiTrig7Buffers[3].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ;
  wire [11:0]gpio_i_pxi;
  wire [11:0]gpio_o_pxi;
  wire [31:0]gpio_pxi_star;
  wire [11:0]gpio_t_pxi;
  wire p_0_in;
  wire pxi_lbr6;
  wire pxi_star;
  wire [7:0]pxi_trig;
  wire [2:0]pxi_trig7aux;
  wire s_axi_aclk;
  wire s_axi_aresetn;

  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[0].GenTrig7.IBUF_pxi_trig7 
       (.I(pxi_trig[7]),
        .O(gpio_i_pxi[7]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7 
       (.I(gpio_o_pxi[7]),
        .O(pxi_trig[7]),
        .T(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hABABABAAFFFFFFAE)) 
    \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_1 
       (.I0(gpio_t_pxi[7]),
        .I1(gpio_o_pxi[10]),
        .I2(gpio_t_pxi[10]),
        .I3(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_2_n_0 ),
        .I4(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3_n_0 ),
        .I5(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4_n_0 ),
        .O(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_1_n_0 ));
  LUT2 #(
    .INIT(4'h2)) 
    \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_2 
       (.I0(gpio_o_pxi[9]),
        .I1(gpio_t_pxi[9]),
        .O(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_2_n_0 ));
  LUT4 #(
    .INIT(16'h4F44)) 
    \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3 
       (.I0(gpio_t_pxi[8]),
        .I1(gpio_o_pxi[8]),
        .I2(gpio_t_pxi[7]),
        .I3(gpio_o_pxi[7]),
        .O(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3_n_0 ));
  LUT6 #(
    .INIT(64'hEEE0EEE0EEE00000)) 
    \GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4 
       (.I0(gpio_o_pxi[7]),
        .I1(gpio_t_pxi[7]),
        .I2(gpio_t_pxi[9]),
        .I3(gpio_o_pxi[9]),
        .I4(gpio_t_pxi[8]),
        .I5(gpio_o_pxi[8]),
        .O(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4_n_0 ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[1].GenTrig7Aux.IBUF_pxi_trig7aux 
       (.I(pxi_trig7aux[0]),
        .O(gpio_i_pxi[8]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[1].GenTrig7Aux.OBUFT_pxi_trig7aux 
       (.I(gpio_o_pxi[8]),
        .O(pxi_trig7aux[0]),
        .T(\GenPxiTrig7Buffers[1].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hABABABAAFFFFFFAE)) 
    \GenPxiTrig7Buffers[1].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1 
       (.I0(gpio_t_pxi[8]),
        .I1(gpio_o_pxi[10]),
        .I2(gpio_t_pxi[10]),
        .I3(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_2_n_0 ),
        .I4(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3_n_0 ),
        .I5(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4_n_0 ),
        .O(\GenPxiTrig7Buffers[1].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[2].GenTrig7Aux.IBUF_pxi_trig7aux 
       (.I(pxi_trig7aux[1]),
        .O(gpio_i_pxi[9]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[2].GenTrig7Aux.OBUFT_pxi_trig7aux 
       (.I(gpio_o_pxi[9]),
        .O(pxi_trig7aux[1]),
        .T(\GenPxiTrig7Buffers[2].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hFF11FF10FFFFFFF2)) 
    \GenPxiTrig7Buffers[2].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1 
       (.I0(gpio_o_pxi[10]),
        .I1(gpio_t_pxi[10]),
        .I2(gpio_o_pxi[9]),
        .I3(gpio_t_pxi[9]),
        .I4(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3_n_0 ),
        .I5(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4_n_0 ),
        .O(\GenPxiTrig7Buffers[2].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[3].GenTrig7Aux.IBUF_pxi_trig7aux 
       (.I(pxi_trig7aux[2]),
        .O(gpio_i_pxi[10]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrig7Buffers[3].GenTrig7Aux.OBUFT_pxi_trig7aux 
       (.I(gpio_o_pxi[10]),
        .O(pxi_trig7aux[2]),
        .T(\GenPxiTrig7Buffers[3].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ));
  LUT6 #(
    .INIT(64'hDDDDCCDCFFFFEEFE)) 
    \GenPxiTrig7Buffers[3].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1 
       (.I0(gpio_o_pxi[10]),
        .I1(gpio_t_pxi[10]),
        .I2(gpio_o_pxi[9]),
        .I3(gpio_t_pxi[9]),
        .I4(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_3_n_0 ),
        .I5(\GenPxiTrig7Buffers[0].GenTrig7.OBUFT_pxi_trig7_i_4_n_0 ),
        .O(\GenPxiTrig7Buffers[3].GenTrig7Aux.OBUFT_pxi_trig7aux_i_1_n_0 ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[0].IBUF_pxi_trig 
       (.I(pxi_trig[0]),
        .O(gpio_i_pxi[0]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[0].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[0]),
        .O(pxi_trig[0]),
        .T(gpio_t_pxi[0]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[1].IBUF_pxi_trig 
       (.I(pxi_trig[1]),
        .O(gpio_i_pxi[1]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[1].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[1]),
        .O(pxi_trig[1]),
        .T(gpio_t_pxi[1]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[2].IBUF_pxi_trig 
       (.I(pxi_trig[2]),
        .O(gpio_i_pxi[2]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[2].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[2]),
        .O(pxi_trig[2]),
        .T(gpio_t_pxi[2]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[3].IBUF_pxi_trig 
       (.I(pxi_trig[3]),
        .O(gpio_i_pxi[3]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[3].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[3]),
        .O(pxi_trig[3]),
        .T(gpio_t_pxi[3]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[4].IBUF_pxi_trig 
       (.I(pxi_trig[4]),
        .O(gpio_i_pxi[4]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[4].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[4]),
        .O(pxi_trig[4]),
        .T(gpio_t_pxi[4]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[5].IBUF_pxi_trig 
       (.I(pxi_trig[5]),
        .O(gpio_i_pxi[5]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[5].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[5]),
        .O(pxi_trig[5]),
        .T(gpio_t_pxi[5]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[6].IBUF_pxi_trig 
       (.I(pxi_trig[6]),
        .O(gpio_i_pxi[6]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    \GenPxiTrigBuffers[6].OBUFT_pxi_trig 
       (.I(gpio_o_pxi[6]),
        .O(pxi_trig[6]),
        .T(gpio_t_pxi[6]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF #(
    .IOSTANDARD("DEFAULT")) 
    IBUF_pxi_lbr6
       (.I(pxi_lbr6),
        .O(gpio_i_pxi[11]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUFT #(
    .IOSTANDARD("DEFAULT")) 
    OBUFT_pxi_lbr6
       (.I(gpio_o_pxi[11]),
        .O(pxi_lbr6),
        .T(gpio_t_pxi[11]));
  LUT1 #(
    .INIT(2'h1)) 
    \pxi_star_rec[31]_i_1 
       (.I0(s_axi_aresetn),
        .O(p_0_in));
  FDRE \pxi_star_rec_reg[0] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(pxi_star),
        .Q(gpio_pxi_star[0]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[10] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[9]),
        .Q(gpio_pxi_star[10]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[11] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[10]),
        .Q(gpio_pxi_star[11]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[12] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[11]),
        .Q(gpio_pxi_star[12]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[13] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[12]),
        .Q(gpio_pxi_star[13]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[14] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[13]),
        .Q(gpio_pxi_star[14]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[15] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[14]),
        .Q(gpio_pxi_star[15]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[16] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[15]),
        .Q(gpio_pxi_star[16]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[17] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[16]),
        .Q(gpio_pxi_star[17]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[18] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[17]),
        .Q(gpio_pxi_star[18]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[19] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[18]),
        .Q(gpio_pxi_star[19]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[1] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[0]),
        .Q(gpio_pxi_star[1]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[20] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[19]),
        .Q(gpio_pxi_star[20]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[21] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[20]),
        .Q(gpio_pxi_star[21]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[22] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[21]),
        .Q(gpio_pxi_star[22]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[23] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[22]),
        .Q(gpio_pxi_star[23]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[24] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[23]),
        .Q(gpio_pxi_star[24]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[25] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[24]),
        .Q(gpio_pxi_star[25]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[26] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[25]),
        .Q(gpio_pxi_star[26]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[27] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[26]),
        .Q(gpio_pxi_star[27]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[28] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[27]),
        .Q(gpio_pxi_star[28]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[29] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[28]),
        .Q(gpio_pxi_star[29]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[2] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[1]),
        .Q(gpio_pxi_star[2]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[30] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[29]),
        .Q(gpio_pxi_star[30]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[31] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[30]),
        .Q(gpio_pxi_star[31]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[3] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[2]),
        .Q(gpio_pxi_star[3]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[4] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[3]),
        .Q(gpio_pxi_star[4]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[5] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[4]),
        .Q(gpio_pxi_star[5]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[6] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[5]),
        .Q(gpio_pxi_star[6]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[7] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[6]),
        .Q(gpio_pxi_star[7]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[8] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[7]),
        .Q(gpio_pxi_star[8]),
        .R(p_0_in));
  FDRE \pxi_star_rec_reg[9] 
       (.C(s_axi_aclk),
        .CE(1'b1),
        .D(gpio_pxi_star[8]),
        .Q(gpio_pxi_star[9]),
        .R(p_0_in));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule
`endif
