#!   /usr/bin/env   python
#    coding: utf8

# Copyright CERN, 2021-2022
# This source describes Open Hardware and is licensed under the
# CERN-OHL-W-2.0+
# Source location: https://ohwr.org/project/pxie-ctl-comexpress-tst
# designed by INCAA Computers

import sys
import time
import os
import subprocess

# Add common modules and libraries location to path
sys.path.append('../../../')

from ptsexcept import *
from ptspxiecome import *

"""
COMe module used
"""

def main (default_directory='.'):

    print "COMe Module used within the setup:"
    print "  bios_date: " + COMe_module_attrib('bios_date')
    print "  bios_vendor: " + COMe_module_attrib('bios_vendor')
    print "  bios_version: " + COMe_module_attrib('bios_version')
    print "  board_asset_tag: " + COMe_module_attrib('board_asset_tag')
    print "  board_name: " + COMe_module_attrib('board_name')
    print "  board_serial: " + COMe_module_attrib('board_serial')
    print "  board_vendor: " + COMe_module_attrib('board_vendor')
    print "  board_version: " + COMe_module_attrib('board_version')
    print "  chassis_asset_tag: " + COMe_module_attrib('chassis_asset_tag')
    print "  chassis_serial: " + COMe_module_attrib('chassis_serial')
    print "  chassis_type: " + COMe_module_attrib('chassis_type')
    print "  chassis_vendor: " + COMe_module_attrib('chassis_vendor')
    print "  chassis_version: " + COMe_module_attrib('chassis_version')
    print "  product_family: " + COMe_module_attrib('product_family')
    print "  product_name: " + COMe_module_attrib('product_name')
    print "  product_serial: " + COMe_module_attrib('product_serial')
    print "  product_sku: " + COMe_module_attrib('product_sku')
    print "  product_uuid: " + COMe_module_attrib('product_uuid')
    print "  product_version: " + COMe_module_attrib('product_version')
    print "  sys_vendor: " + COMe_module_attrib('sys_vendor')
    print "  uevent: " + COMe_module_attrib('uevent')
    print "  modalias: " + COMe_module_attrib('modalias')

if __name__ == '__main__' :
    main()
