open_hw_manager   

array set optional [list  -mcs_file "" -sec_mcs "" -url "localhost:3121" -flash "mx25u51245g-spi-x1_x2_x4_x8"  -addr_range "use_file" -erase '1' -blank_check '0' -program '1' -verify '1'  {*}$argv]

set mcs_file $optional(-mcs_file)
set sec_mcs $optional(-sec_mcs)
set url $optional(-url)
set flash $optional(-flash)
set addr_range $optional(-addr_range)
set erase $optional(-erase)
set blank_check $optional(-blank_check)
set program $optional(-program)
set verify $optional(-verify)
    
connect_hw_server -url ${url} 
set target_list [get_hw_targets]
foreach i $target_list {      
   open_hw_target [get_hw_targets ${i}]
   create_hw_cfgmem -hw_device [lindex [get_hw_devices] 0] -mem_dev  [lindex [get_cfgmem_parts $flash] 0];
   set_property PROGRAM.BLANK_CHECK  $blank_check [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]];
   set_property PROGRAM.ERASE  $erase [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]];
   set_property PROGRAM.CFG_PROGRAM  $program [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]];
   set_property PROGRAM.VERIFY  $verify [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]];
   set_property PROGRAM.ADDRESS_RANGE  $addr_range [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]];
 
   if {[regexp -nocase {spi-x1_x2_x4_x8} $flash]} {
       set_property PROGRAM.FILES [list $mcs_file $sec_mcs] [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0]];
   } else {
       set_property PROGRAM.FILES $mcs_file [ get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0]];
   }
 
   if {![string equal [get_property PROGRAM.HW_CFGMEM_TYPE  [lindex [get_hw_devices] 0]] [get_property MEM_TYPE [get_property CFGMEM_PART [get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]]]]] }  { create_hw_bitstream -hw_device [lindex [get_hw_devices] 0] [get_property PROGRAM.HW_CFGMEM_BITFILE [ lindex [get_hw_devices] 0]]; program_hw_devices [lindex [get_hw_devices] 0]; }; 
   
   program_hw_cfgmem -hw_cfgmem [get_property PROGRAM.HW_CFGMEM [lindex [get_hw_devices] 0 ]] 
   close_hw_target [current_hw_target]
  }

disconnect_hw_server [current_hw_server]
close_hw_manager
